Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.afp
Enum AFPRendererOption

    java.lang.Object
      java.lang.Enum<AFPRendererOption>
          org.apache.fop.render.afp.AFPRendererOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AFPRendererOption>, RendererConfigOption

    public enum AFPRendererOption

extends java.lang.Enum<AFPRendererOption>
implements RendererConfigOption

An enumeration of the configuration options available for the AFP renderer.

Enum Constant Summary
`DEFAULT_RESOURCE_LEVELS`
`GOCA`
`GOCA_TEXT`
`IMAGES`
`IMAGES_DITHERING_QUALITY`
`IMAGES_FS45`
`IMAGES_JPEG`
`IMAGES_MAPPING_OPTION`
`IMAGES_MODE`
`IMAGES_NATIVE`
`IMAGES_WRAP_PSEG`
`JPEG_ALLOW_JPEG_EMBEDDING`
`JPEG_BITMAP_ENCODING_QUALITY`
`LINE_WIDTH_CORRECTION`
`RENDERER_RESOLUTION`
`RESOURCE_GROUP_URI`
`SHADING`

Method Summary
`java.lang.String` | `getName()` The name of the option.
`java.lang.Class<?>` | `getType()`
`static AFPRendererOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AFPRendererOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT_RESOURCE_LEVELS

    public static final AFPRendererOption DEFAULT_RESOURCE_LEVELS

### IMAGES

    public static final AFPRendererOption IMAGES

### IMAGES_JPEG

    public static final AFPRendererOption IMAGES_JPEG

### IMAGES_DITHERING_QUALITY

    public static final AFPRendererOption IMAGES_DITHERING_QUALITY

### IMAGES_FS45

    public static final AFPRendererOption IMAGES_FS45

### IMAGES_MAPPING_OPTION

    public static final AFPRendererOption IMAGES_MAPPING_OPTION

### IMAGES_MODE

    public static final AFPRendererOption IMAGES_MODE

### IMAGES_NATIVE

    public static final AFPRendererOption IMAGES_NATIVE

### IMAGES_WRAP_PSEG

    public static final AFPRendererOption IMAGES_WRAP_PSEG

### JPEG_ALLOW_JPEG_EMBEDDING

    public static final AFPRendererOption JPEG_ALLOW_JPEG_EMBEDDING

### JPEG_BITMAP_ENCODING_QUALITY

    public static final AFPRendererOption JPEG_BITMAP_ENCODING_QUALITY

### RENDERER_RESOLUTION

    public static final AFPRendererOption RENDERER_RESOLUTION

### RESOURCE_GROUP_URI

    public static final AFPRendererOption RESOURCE_GROUP_URI

### SHADING

    public static final AFPRendererOption SHADING

### LINE_WIDTH_CORRECTION

    public static final AFPRendererOption LINE_WIDTH_CORRECTION

### GOCA

    public static final AFPRendererOption GOCA

### GOCA_TEXT

    public static final AFPRendererOption GOCA_TEXT

Method Detail

### values

    public static AFPRendererOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AFPRendererOption c : AFPRendererOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AFPRendererOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  The name of the option.}

  Specified by:
    `getName` in interface `RendererConfigOption`

### getType

    public java.lang.Class<?> getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.